Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002674KdenliveEffectspublic2012-07-09 11:102013-01-28 19:50
Reporterttguy 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSUbuntuOS Version11.04
Product Version0.9.2 
Target VersionFixed in Version0.9.4 
Summary0002674: saving an effect from the effect stack overwrites any custom filter you already have without warning
DescriptionIf you save an effect from the effect stack the saved version appears as a Custom effect in the Effect List. See http://userbase.kde.org/Kdenlive/Manual/Effects/Custom#Effects_-_Custom [^]

If you then save a second effect in the same way it will replace your first saved effect without warning. You can only ever have one custom effect.

Desired behavior would be -
1. warn that you are about to overwrite if you choose an existing name.
2. If the name is unique create a new Custom filter in the Effects list
Steps To ReproduceSave different Effects from the Effect stack as shown in manual here http://userbase.kde.org/Kdenlive/Manual/Effects/Custom#Effects_-_Custom [^]

Only the last saved one appears in the Custom section on the Effect list
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0008157)
ttguy (reporter)
2012-07-09 11:20

I have played with this some more and I have concluded that it does not overwrite the existing custom effect. Rather saving a new Effect makes the existing custom effect invisible in the Custom section. With the upshot that you can only have one custom effect visible. The other previously saved effects are there - they will re-appear if you delete the visible effect. They are there but just not visible in the GUI.

Work-around: Start and Stop Kdenlive. The restarting Kdnelive causes the Custom effects to be updated and you can see all the ones you have saved.
(0008247)
j-b-m (administrator)
2012-09-01 21:58

Fixed in git, thanks

- Issue History
Date Modified Username Field Change
2012-07-09 11:10 ttguy New Issue
2012-07-09 11:20 ttguy Note Added: 0008157
2012-09-01 21:51 j-b-m Assigned To => j-b-m
2012-09-01 21:51 j-b-m Status new => acknowledged
2012-09-01 21:58 j-b-m Note Added: 0008247
2012-09-01 21:58 j-b-m Status acknowledged => resolved
2012-09-01 21:58 j-b-m Fixed in Version => Recent git
2012-09-01 21:58 j-b-m Resolution open => fixed
2013-01-28 19:50 j-b-m Fixed in Version Recent git => 0.9.4
2013-01-28 19:50 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker